# create-digigov-docs

> `create-digigov-docs` tool is a scaffolder CLI tool that helps devs to quickly
> create new empty Digigov Docs codebases without writing any code

## How to run the scaffolder

Create a new service app in a folder called `my-digigov-documentation`. The tool
will ask you for a few options to customize the newly created codebase.

```
yarn create digigov-docs my-digigov-documentation
```

or if you prefer to use `npx`

```
npx create-digigov-docs my-digigov-documentation
```

## Test the scaffolder locally

If you done some changes in the tool and you need to test that it works as
expected, you can run the `cli.js` in your terminal as a node script and
instruct the tool to create the new folder to the `/tmp` directory thus keeping
the `digigov-sdk` repository clean.

```
node cli.js /tmp/test-documentation
```

After the script ends successfully, you can visit the `/tmp/test-documentation` and
make sure that the files were generated as expected and run scripts like `yarn
dev` and `yarn build` as in any other application.