const { random } = require('superb');

module.exports = [
  {
    name: 'name',
    message: 'Project name',
    default: '{outFolder}',
  },
  {
    name: 'description',
    message: 'Project description',
    default: `My ${random()} DigiGOV docs project.`,
  },
  {
    name: 'author',
    type: 'string',
    message: 'Author name',
    default: '{gitUser.name}',
    store: true,
  },
  {
    name: 'pm',
    message: 'Choose the package manager',
    choices: [
      { name: 'Yarn', value: 'yarn' },
      { name: 'Npm', value: 'npm' },
    ],
    type: 'list',
    default: 'yarn',
  },
  {
    name: 'theme',
    message: 'Choose which documentation theme the Docusaurus will use',
    choices: [
      { name: '@digigov/docusaurus-theme', value: 'digigov' },
      { name: '@docusaurus/theme-classic', value: 'docusaurus' },
    ],
    type: 'list',
    default: 'digigov',
  },
];
